package com.ss.android.ugc.aweme.services;

import com.bytedance.covode.number.Covode;

public interface IExternalService$ServiceLoadCallback {
    static {
        Covode.recordClassIndex(105058);
    }

    void onDismiss();

    void onFailed();

    void onLoad(AsyncAVService asyncAVService, long j);

    void onOK();

    public static final class DefaultImpls {
        static {
            Covode.recordClassIndex(105059);
        }

        public static void onDismiss(IExternalService$ServiceLoadCallback iExternalService$ServiceLoadCallback) {
        }

        public static void onFailed(IExternalService$ServiceLoadCallback iExternalService$ServiceLoadCallback) {
        }

        public static void onOK(IExternalService$ServiceLoadCallback iExternalService$ServiceLoadCallback) {
            iExternalService$ServiceLoadCallback.onFailed();
        }
    }
}
